Get One Invoice
curl --request GET \
--url https://api.upwell.com/api/rest/invoices/{id}import requests
url = "https://api.upwell.com/api/rest/invoices/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.upwell.com/api/rest/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoice": {
"balance": "<unknown>",
"companyDivision": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"customerId": "<string>",
"customerReferenceNumber": "<string>",
"dueDate": "2023-12-25",
"exceptions": [
{
"details": "<unknown>",
"id": "<string>"
}
],
"id": "<string>",
"invoiceLineItems": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"item": "<string>",
"remoteId": "<string>",
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"totalAmount": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"invoiceShipments": [
{
"shipment": {
"consigneeAddress": {
"city": "<string>",
"companyName": "<string>",
"id": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"zipOrPostalCode": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"customerId": "<string>",
"deliveredAt": "<unknown>",
"id": "<string>",
"invoiceId": "<string>",
"loadDescription": "<string>",
"pickupAddress": {
"city": "<string>",
"companyName": "<string>",
"id": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"zipOrPostalCode": "<string>"
},
"pickupAt": "<unknown>",
"shipmentId": "<string>",
"status": "<string>",
"stops": [
{
"address": {
"city": "<string>",
"companyName": "<string>",
"id": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"zipOrPostalCode": "<string>"
},
"id": "<string>",
"metadata": "<string>",
"pieceCount": 123,
"sequenceNumber": 123,
"stopType": "<string>",
"weightAmount": "<unknown>",
"weightUnit": "<string>"
}
],
"trailerNumber": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"volume": "<unknown>",
"volumeUnit": "<string>",
"weight": "<unknown>",
"weightUnit": "<string>"
}
}
],
"issueDate": "2023-12-25",
"metadata": "<unknown>",
"missingDocuments": "<string>",
"number": "<string>",
"portalSlug": "<string>",
"referenceNumbers": "<unknown>",
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"totalAmount": "<unknown>",
"totalTaxAmount": "<unknown>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Invoices
Get One Invoice
Get an invoice by ID
GET
/
api
/
rest
/
invoices
/
{id}
Get One Invoice
Headers
Your API key will be used for authentication of the request. Authorization: YOUR_API_KEY
Path Parameters
"id" is required (enter it either in parameters or request body)
Response
200 - application/json
Responses for GET /api/rest/invoices/{id}
columns and relationships of "invoices"
Show child attributes
Show child attributes
āI

